## org.apache.tools.ant.taskdefs.optional.ide
Class VAJExport

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJExport

public class VAJExport
extends VAJTask

Export packages from the Visual Age for Java workspace. The packages are specified similar to all other MatchingTasks. Since the VA Workspace is not file based, this task is simulating a directory hierarchy for the workspace: The 'root' contains all project 'dir's, and the projects contain their respective package 'dir's. Example:

> <vajexport destdir="C:/builddir/source"> <include name="/MyVAProject/org/foo/subsystem1/**" /> <exclude name="/MyVAProject/org/foo/subsystem1/test/**"/> </vajexport>

exports all packages in the project MyVAProject which start with 'org.foo.subsystem1' except of these starting with 'org.foo.subsystem1.test'. There are flags to choose which items to export: exportSources: export Java sources exportResources: export project resources exportClasses: export class files exportDebugInfo: export class files with debug info (use with exportClasses) default is exporting Java files and resources.

Author:
  Wolf Siberski, TUI Infotec GmbH

Field Summary
`protected java.io.File` `destDir`
`protected boolean` `exportClasses`
`protected boolean` `exportDebugInfo`
`protected boolean` `exportResources`
`protected boolean` `exportSources`
`protected boolean` `overwrite`
`protected PatternSet` `patternSet`
`protected boolean` `useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJExport()`

Method Summary
`PatternSet.NameEntry` `createExclude()` add a name entry on the exclude list
`PatternSet.NameEntry` `createInclude()` add a name entry on the include list
`void` `execute()` do the export
`void` `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not; default true.
`void` `setDestdir(java.io.File destDir)` Set the destination directory into which the selected items should be exported; required.
`void` `setExcludes(java.lang.String excludes)` Sets the set of exclude patterns.
`void` `setExportClasses(boolean doExport)` optional flag to export the class files; default false.
`void` `setExportDebugInfo(boolean doExport)` optional flag to export the debug info; default false.
`void` `setExportResources(boolean doExport)` optional flag to export the resource file; default true.
`void` `setExportSources(boolean doExport)` optional flag to export the Java files; default true.
`void` `setIncludes(java.lang.String includes)` Sets the set of include patterns.
`void` `setOverwrite(boolean doOverwrite)` if Overwrite is set, files will be overwritten during export

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`getUtil, setRemote`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destDir

    protected java.io.File destDir

### exportSources

    protected boolean exportSources

### exportResources

    protected boolean exportResources

### exportClasses

    protected boolean exportClasses

### exportDebugInfo

    protected boolean exportDebugInfo

### useDefaultExcludes

    protected boolean useDefaultExcludes

### overwrite

    protected boolean overwrite

### patternSet

    protected PatternSet patternSet

Constructor Detail

### VAJExport

    public VAJExport()

Method Detail

### createExclude

    public PatternSet.NameEntry createExclude()

  add a name entry on the exclude list

### createInclude

    public PatternSet.NameEntry createInclude()

  add a name entry on the include list

### execute

    public void execute()
                 throws BuildException

  do the export

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not; default true.

  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### setDestdir

    public void setDestdir(java.io.File destDir)

  Set the destination directory into which the selected items should be exported; required.

### setExcludes

    public void setExcludes(java.lang.String excludes)

  Sets the set of exclude patterns. Patterns may be separated by a comma or a space. Currently only patterns denoting packages are supported

  Parameters:
    `excludes` - the string containing the exclude patterns

### setExportClasses

    public void setExportClasses(boolean doExport)

  optional flag to export the class files; default false.

### setExportDebugInfo

    public void setExportDebugInfo(boolean doExport)

  optional flag to export the debug info; default false. debug info

### setExportResources

    public void setExportResources(boolean doExport)

  optional flag to export the resource file; default true.

### setExportSources

    public void setExportSources(boolean doExport)

  optional flag to export the Java files; default true.

### setIncludes

    public void setIncludes(java.lang.String includes)

  Sets the set of include patterns. Patterns may be separated by a comma or a space. Currently only patterns denoting packages are supported

  Parameters:
    `includes` - the string containing the include patterns

### setOverwrite

    public void setOverwrite(boolean doOverwrite)

  if Overwrite is set, files will be overwritten during export

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.